Subject: Re: bug#41038: gcc creates binaries that don't find their shared libraries

From: Ludovic Courtès <[email-masked]>
Date: Mon, 04 May 2020 11:30:51 +0200

Hi,

Bruno Haible <[email-masked]> skribis:

> The question "What packages do I need to do normal C development?" should
> really be documented.
>
> How about a doc section - at the beginning of the chapter
> https://guix.gnu.org/manual/en/html_node/Development.html - that says:
>
>   Packages needed for C development
>   =================================
>
>   For C development, you will typically need the packages
>     make gcc-toolchain gdb
>
>   Do NOT install glibc and binutils explicitly, as they would shadow
>   the 'ld' wrapper that is necessary for proper operation of GCC.

Good idea, I did something along these lines:

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=1f14e25c1969a93908288cb302a572f3cbbaa478

> Additionally, the documentation page
> https://guix.gnu.org/manual/en/html_node/Application-Setup.html
> starts with the sentence
>   "When using Guix on top of GNU/Linux distribution other than Guix System ..."
> but then the majority of the page applies to native Guix as well.
> How about restructuring this documentation chapter into two pages:
>   - one that explains things valid about Guix in general,
>   - one that covers only the foreign-distro topics.

The locale and nscd bits are foreign-distro-specific, but the for the
rest I agree that something needs to be done.

Thanks for your feedback!

Ludo’.